Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2250340 - Nextcloud shown twice in Nautilus(=Gnome-Files)-Sidebar
Summary: Nextcloud shown twice in Nautilus(=Gnome-Files)-Sidebar
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 39
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://help.nextcloud.com/t/linux-cl...
Whiteboard:
: 2255811 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-11-17 18:54 UTC by Krzysztof Raczkowski
Modified: 2024-02-15 07:54 UTC (History)
12 users (show)

Fixed In Version: nextcloud-client-3.11.0-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-22 02:43:12 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Krzysztof Raczkowski 2023-11-17 18:54:04 UTC
In the Nautilus (Gnome-Files) Sidebar, Nextcloud appears twice.

Reproducible: Always

Steps to Reproduce:
1.Configure nextcloud-client
2.Open nautilus

Actual Results:  
Nextcloud entry appears twice in sidebar

Expected Results:  
Nextcloud entry appears nce in sidebar

@dominalien from help.nextcloud.com said:

I got this problem in Fedora 39. The issue seems to be CloudProviders is defined twice: once in /usr/share/applications/[…]nextcloud[…].desktop and once in /usr/share/cloud-providers/[…]nextcloud[…].ini

I’m not sure if it’s Fedora’s or Nextcloud’s problem. Package for client 3.9 is fine (the desktop file has no CloudProviders entry), package for client 3.10 is not.

Comment 1 Jan Vlug 2023-11-19 11:22:38 UTC
See also: https://github.com/nextcloud/desktop/issues/6218

Comment 2 Fedora Update System 2023-12-14 23:11:09 UTC
FEDORA-2023-774d75292a has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-774d75292a

Comment 3 Fedora Update System 2023-12-15 01:20:38 UTC
FEDORA-2023-774d75292a has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-774d75292a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-774d75292a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-12-22 02:43:12 UTC
FEDORA-2023-774d75292a has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 lostinspacetime 2023-12-22 08:27:48 UTC
Problem persists with nextcloud-client-3.11.0-1.fc39

Comment 6 Mukundan Ragavan 2023-12-27 22:54:58 UTC
*** Bug 2255811 has been marked as a duplicate of this bug. ***

Comment 7 Jan Vlug 2024-02-15 07:54:57 UTC
See also: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1056327


Note You need to log in before you can comment on or make changes to this bug.